
Redmine - Patch #41889

Fix random test failures in Redmine::Acts::MentionableTest due to unsorted mentioned_users

2024-11-28 12:28 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.5   

Description

Some tests in Redmine::Acts::MentionableTest fail randomly because issue.mentioned_users returns users in an unspecified order.

Associated revisions

Revision 23322 - 2024-11-29 02:15 - Go MAEDA

Fix random test failures in Redmine::Acts::MentionableTest due to unsorted mentioned_users (#41889).

Patch by Go MAEDA (user:maeda).

Revision 23331 - 2024-11-30 07:53 - Go MAEDA

Merged r23322 from trunk to 6.0-stable (#41889).

Revision 23332 - 2024-11-30 07:54 - Go MAEDA

Merged r23322 from trunk to 5.1-stable (#41889).

History

#1 - 2024-11-28 12:41 - Go MAEDA

- Assignee set to Go MAEDA

#2 - 2024-11-29 02:15 - Go MAEDA

- Status changed from New to Resolved

Committed the fix in r23322.

#3 - 2024-11-30 07:55 - Go MAEDA

- Status changed from Resolved to Closed

Meged the fix into stable branches in r23331 and r23332.

Files

fix-random-text-failure-due-to-unsorted-mentioned_users.patch 1.43 KB 2024-11-28 Go MAEDA
